### Function

# Clutter get_script_id

since: 13

#### Declaration [src]

    const gchar*
    clutter_get_script_id (
      GObject* gobject
    )

#### Description [src]

Retrieves the Clutter script id, if any.

Available since: 13

#### Parameters

`gobject`

  Type: `GObject`

  A `GObject`.

  The data is owned by the caller of the function.

#### Return value

Type: `const gchar*`

The script id, or `NULL` if `object` was not defined inside a UI definition file. The returned string is owned by the object and should never be modified or freed.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.